Subject: Re: bug#73572: 31.0.50; defface warnings

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Oct 2024 13:42:36 +0300

> From: Arash Esbati <[email-masked]>
> Date: Mon, 30 Sep 2024 22:14:46 +0200
> 
> I'm not sure if these warnings are due to Mattias' recent changes, but
> when building Emacs from master (685ec273ec), I get:
> 
> --8<---------------cut here---------------start------------->8---
> In toplevel form:
> shell.el:1662:18: Warning: in defface for
> ‘shell-highlight-undef-defined-face’: Value for face attribute
> ‘:inherit’ should not be quoted
> shell.el:1668:18: Warning: in defface for
> ‘shell-highlight-undef-undefined-face’: Value for face attribute
> ‘:inherit’ should not be quoted
> shell.el:1674:18: Warning: in defface for
> ‘shell-highlight-undef-alias-face’: Value for face attribute ‘:inherit’
> should not be quoted
> 
> In toplevel form:
> net/dictionary.el:339:7: Warning: in defface for
> ‘dictionary-word-entry-face’: ‘:inverse’ is not a valid face attribute
> keyword
> 
> In toplevel form:
> net/sieve-mode.el:70:35: Warning: in defface for
> ‘sieve-tagged-arguments’: Non-keyword in face attribute list: ‘face’
> 
> In toplevel form:
> vc/smerge-mode.el:84:24: Warning: in defface for ‘smerge-upper’: Missing
> face attribute ‘:extend’ value
> vc/smerge-mode.el:95:26: Warning: in defface for ‘smerge-lower’: Missing
> face attribute ‘:extend’ value
> --8<---------------cut here---------------end--------------->8---
> 
> The following patch should fix the warnings for 1, 3 and 4.  I'm not
> sure what's the right approach for 2.

Thanks, these appear to have been fixed on master, so I'm now closing
the bug.